#pragma once
#include <random>
#include <ctime>


namespace my_random
{
	namespace {
		std::mt19937 rng;
		std::uniform_real_distribution<float> udist(0.f, 1.f);
		std::normal_distribution<float> ndist(0.f, 10.f);
	}

	void init_random()
	{
		rng.seed(static_cast<long unsigned int>(time(0)));
	}

	float random_number()
	{
		return udist(rng);
	}

	float random_noise()
	{
		return ndist(rng);
	}

};